# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/credentials/{credentials_id}`

Gets a <Databricks> credential configuration object for an account, both specified by ID.

API scopes: unity-catalog

Clouds: AWS

## Path parameters

- `credentials_id` (string, optional)
  Credential configuration ID
- `account_id` (string, optional)

## Returns

- `credentials_id` (string, optional)
  <Databricks> credential configuration ID.
- `account_id` (string, optional)
  The <Databricks> account ID that hosts the credential.
- `aws_credentials` (object, required)
  - `sts_role` (object, required)
    - `role_arn` (string, optional)
      The Amazon Resource Name (ARN) of the cross account IAM role.
      Example: `arn:aws:iam::111110000000:role/test_role`
- `credentials_name` (string, optional)
  The human-readable name of the credential configuration object.
  Example: `credential_1`
  Constraints: `[ 4 .. 256 ] characters`
- `creation_time` (int64, optional)
  Time in epoch milliseconds when the credential was created.

## Response

```json
{
  "credentials_id": "string",
  "account_id": "string",
  "aws_credentials": {
    "sts_role": {}
  },
  "credentials_name": "credential_1",
  "creation_time": 0
}
```

